task CutinA(CutImage,left,top,right,bottom) {
		let obj = ObjPrim_Create(OBJ_SPRITE_2D);
		
		ObjPrim_SetTexture(obj, CutImage);
		Obj_SetRenderPriority(obj, 0.28); //This is the priority I used. Feel free to experiment with others
		ObjSprite2D_SetSourceRect(obj, left, top, right, bottom);
		ObjSprite2D_SetDestCenter(obj);
		ObjRender_SetPosition(obj, x, y, 0); //Places the image wherever you want it to start
		
		while(!Obj_IsDeleted(obj)) {
			//Do stuff (like move the image where you want it to go)
			yield;
		}
	}